首页 / 浏览问题 / WebGIS / 问题详情
vue项目npm install @supermap/iclient-ol报错
1EXP 2022年11月09日
Error: [@supermap/iclient-ol@11.0.1 › @supermap/iclient-common@11.0.1] Can't find package @supermap/iclient-common's version: 11.0.1
    at resolve (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\download\npm.js:116:11)
    at async module.exports (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\download\npm.js:24:19)
    at async module.exports (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\download\index.js:21:10)
    at async _install (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\install.js:125:16)
    at async install (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\install.js:26:12)
    at async mapper (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\install.js:266:9)

1个回答

您好,看您的报错Can't find package ,您确认一下您的npm命令是否正确呢。

npm install @supermap/iclient-ol

https://blog.csdn.net/weixin_42776111/article/details/121719996

希望可以帮助到您。

9,793EXP 2022年11月09日
您好!npm install @supermap/iclient-ol 命令是没有问题的呢

npm install @supermap/iclient-ol
npm ERR! code ETARGET
npm ERR! notarget No matching version found for @supermap/iclient-common@11.0.1.
npm ERR! notarget In most cases you or one of your dependencies are requesting
npm ERR! notarget a package version that doesn't exist.
npm ERR! notarget
npm ERR! notarget It was specified as a dependency of '@supermap/iclient-ol'
npm ERR! notarget
用cnpm 安装报错如下:

cnpm install @supermap/iclient-ol
Install fail! Error: [@supermap/iclient-ol@11.0.1 › @supermap/iclient-common@11.0.1] Can't find package @supermap/iclient-common's version:
 11.0.1
Error: [@supermap/iclient-ol@11.0.1 › @supermap/iclient-common@11.0.1] Can't find package @supermap/iclient-common's version: 11.0.1
    at resolve (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\download\npm.js:116:11)
    at async module.exports (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\download\npm.js:24:19)
    at async module.exports (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\download\index.js:21:10)
    at async _install (C:\Program Files\nodejs\node_modules\cnpm\node_modules\npminstall\lib\install.js:125:16)
您这里npm的版本是否高于3呢,没有的话升级一下npm版本。
您好!

npm -v
6.14.5
您这边如果不在vue项目中npm install @supermap/iclient-ol是否可以成功?

在该vue中 npm install @supermap/iclient-leaflet是否可以成功?

使用的是否是vue init webpack 模板的时候,是的话起初的两个tests都设置为no。

 Setup unit tests ? No
 Setup e2e tests? No
您好!我们是已有项目,不是在 init webpack模板的时候,不在项目下运行也报错

npm install @supermap/iclient-ol
npm ERR! code ETARGET
npm ERR! notarget No matching version found for @supermap/iclient-common@11.0.1.
npm ERR! notarget In most cases you or one of your dependencies are requesting
npm ERR! notarget a package version that doesn't exist.
npm ERR! notarget
npm ERR! notarget It was specified as a dependency of '@supermap/iclient-ol'
npm ERR! notarget

您好,这个问题与产品团队沟通后,是目前使用npm搜索默认版本存在问题,目前11.0.1的版本npm同步还未完毕,

该情况产品团队已经知情,将尽快同步。

但是过往版本是可以正常使用的,比如您现在使用的话,先加个版本号,使用之前的小版本

npm install @supermap/iclient-ol@11.0.0

好的,谢谢您!这个版本安装没问题。
...